/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package modelo;

/**
 *Clase que guarda los requisitos de informacion del proyecto
 */
public class ReqInformacion extends Requisito {
    /**
     * Concepto del requisito de información
     */
    private String concepto;
    /**
     * Valor máximo
     */
    private int valor_maximo;
    /**
     * Valor medio
     */
    private int valor_medio;
    /**
     * Unidad del valor máximo
     */
    private String unidad_maximo;
    /**
     * Unidad del valor medio
     */
    private String unidad_medio;
    /**
     * Este parámetro estático, lleva la cuenta del número de Requisito de información
     * que se han creado, para poder reconocerlos unívocamente.
     */
    
    static int n_instancia=0;
    /**
     * identificador único
     */
    private int numero_id;
    
    /**
     *Constructor que guarda e inicializa el identificador
     */
    ReqInformacion() {
        n_instancia++;
        numero_id=n_instancia;
    }

    /**
     * @return the concepto
     */
    public String getConcepto() {
        return concepto;
    }

    /**
     * @param concepto the concepto to set
     */
    public void setConcepto(String concepto) {
        this.concepto = concepto;
    }

    /**
     * @return the valor_maximo
     */
    public int getValor_maximo() {
        return valor_maximo;
    }

    /**
     * @param valor_maximo the valor_maximo to set
     */
    public void setValor_maximo(int valor_maximo) {
        this.valor_maximo = valor_maximo;
    }

    /**
     * @return the valor_medio
     */
    public int getValor_medio() {
        return valor_medio;
    }

    /**
     * @param valor_medio the valor_medio to set
     */
    public void setValor_medio(int valor_medio) {
        this.valor_medio = valor_medio;
    }

    /**
     * @return the unidad_maximo
     */
    public String getUnidad_maximo() {
        return unidad_maximo;
    }

    /**
     * @param unidad_maximo the unidad_maximo to set
     */
    public void setUnidad_maximo(String unidad_maximo) {
        this.unidad_maximo = unidad_maximo;
    }

    /**
     * @return the unidad_medio
     */
    public String getUnidad_medio() {
        return unidad_medio;
    }

    /**
     * @param unidad_medio the unidad_medio to set
     */
    public void setUnidad_medio(String unidad_medio) {
        this.unidad_medio = unidad_medio;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }
    
    @Override
    public String toString() {
        return "[RIN]-"+numero_id+" "+nombre;
    }

   
}
